Morpho - Bug #2473

Morpho uses too much memory
06/27/2006 11:12 AM - Will Tyburczy

Status: In Progress Start date: 06/27/2006
Priority: Immediate Due date:

Assignee: dJing Tao % Done: 0%
Category: morpho - general Estimated time: 0.00 hour
Target version: 1.10.0 Spent time: 0.00 hour
Bugzilla-ld: 2473

Description

Currently, Morpho needs 512M of RAM to run successfully. If it is set to a lower value, Morpho will freeze in the Data Table Wizard
when importing a table with many columns.

History

#1 - 06/27/2006 04:33 PM - Jing Tao

| used my laptop to import the table - wtyburczy.29.1, which has lots of columns.
My laptop only has 512M physcial memory. During the test, | set 128M or 512M as JVM parameter to start morpho. In both case (128M or 512M), the
morpho stopped working when it imported column 39.

Here is memory monitor result
Memory Usage(Xmx=128M) Memory Usage(Xmx=512M)

Before starting Morpho 330M 327M

After starting Morpho 449M 448M

After starting new pkg wizard 452M 449M
Import col 1 458M 456M

import col 6 470M 467M

import col 17 493M 491M

import col 39 494M(froze, cpu high)492M (froze)

#2 - 08/12/2009 03:24 PM - Jing Tao

move to 1.7.1

#3 - 03/27/2013 02:20 PM - Redmine Admin
Original Bugzilla ID was 2473
